> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequenzy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tag

> Update a tag definition's color

Update a tag definition's color. Tag names cannot be changed, and system tags cannot be updated.

## Request

<ParamField path="tagId" type="string" required>
  Tag definition ID.
</ParamField>

<ParamField body="color" type="string" required>
  Tag color. One of: `gray`, `red`, `orange`, `amber`, `yellow`, `lime`,
  `green`, `emerald`, `teal`, `cyan`, `sky`, `blue`, `indigo`, `violet`,
  `purple`, `fuchsia`, `pink`, `rose`.
</ParamField>

```bash theme={null}
curl -X PATCH "https://api.sequenzy.com/api/v1/tags/tag_abc123" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"color": "green"}'
```

## Responses

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "tag": {
      "id": "tag_abc123",
      "name": "premium",
      "color": "green",
      "isSystem": false
    }
  }
  ```

  ```json 400 theme={null}
  {
    "error": "Invalid tag color"
  }
  ```

  ```json 401 theme={null}
  {
    "error": "Invalid API key"
  }
  ```

  ```json 403 theme={null}
  {
    "error": "Cannot update system tags"
  }
  ```

  ```json 404 theme={null}
  {
    "error": "Tag not found"
  }
  ```
</ResponseExample>
